Get browser task status and result.
curl --request GET \
--url https://api.parallellabs.app/api/v0/browser-task/{task_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/browser-task/{task_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/browser-task/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>",
"status": "<string>",
"progressMessage": "<string>",
"createdDate": "<string>",
"startedDate": "<string>",
"completedDate": "<string>",
"result": {
"success": true,
"result": "<string>",
"history": [
"<string>"
],
"creditsCharged": 123
},
"errorMessage": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Browser
Get browser task status and result.
Poll this endpoint to check the status of a submitted browser task. When status is ‘completed’, the result will contain the task output. When status is ‘failed’, the errorMessage will contain the failure reason.
GET
/
api
/
v0
/
browser-task
/
{task_id}
Get browser task status and result.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Path Parameters
Response
Task status and result
Browser task status and result
Unique task ID
Task status: pending, running, completed, failed, cancelled
Current progress message
ISO timestamp when task was created
ISO timestamp when task started running
ISO timestamp when task completed
Task result (when completed)
Show child attributes
Show child attributes
Error message (when failed)

